MSP Gas Metering Library

- Main Page
- Introduction
- Usage
- Modules
- Data Structures
- Disclaimer

- Data Structures
- Data Structure Index
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- h
- i
- m
- n
- p
- r
- s
- t
- u
- v

### - a -

- absToFAddDelay_ns : GASMETERING_Algorithms_Configuration
- ADCAdditionalCaptureDelay_sec : GASMETERING_handle
- ADCSamplePeriod_sec : GASMETERING_handle
- ADCStartCaptureInstant_sec : GASMETERING_handle
- arrayDNSPtr : GASMETERING_handle
- arrayHFIRPtr : GASMETERING_handle
- arrayLengthDNUP : GASMETERING_handle
- arrayLengthHFIR : GASMETERING_handle
- arrayLengthTX : GASMETERING_handle
- arrayLengthTXb : GASMETERING_handle
- arrayTXbPtr : GASMETERING_handle
- arrayTXPtr : GASMETERING_handle
- arrayUPSPtr : GASMETERING_handle

### - b -

- binTxPatternsize : GASMETERING_Measurement_Configuration

### - c -

- captureDuration_usec : GASMETERING_Measurement_Configuration
- computationMode : GASMETERING_Algorithms_Configuration , GASMETERING_handle
- corrIdxDNS : GASMETERING_handle
- corrIdxUPS : GASMETERING_handle
- corrPeakSqValue : GASMETERING_handle
- corrValPow2Scale : GASMETERING_handle

### - d -

- dcOffset : GASMETERING_handle
- deltaTOF : GASMETERING_handle
- deltaToFOfsset_ps : GASMETERING_Algorithms_Configuration
- dMALEARAMADCArraySize : GASMETERING_handle

### - e -

- envCrossThreshold : GASMETERING_Algorithms_Configuration , GASMETERING_handle

### - f -

- firstThresCrossIdx : GASMETERING_handle
- firstThresCrossing_sec : GASMETERING_handle
- Flag_searchForCorrIdxDNS : GASMETERING_handle
- Flag_searchForCorrIdxUPS : GASMETERING_handle
- Flag_searchForFirstIdx : GASMETERING_handle
- fracDelay : GASMETERING_handle
- fracIdxDNS : GASMETERING_handle
- fracIdxUPS : GASMETERING_handle

### - g -

- gapAMPandRestOfCapture_usec : GASMETERING_Measurement_Configuration
- gapAMPandSampFirstCapture_usec : GASMETERING_Measurement_Configuration
- gapDNSandUPS_msec : GASMETERING_Measurement_Configuration
- gapPlsSrtandADCCap_usec : GASMETERING_Measurement_Configuration
- gapUPSandDNS_usec : GASMETERING_Measurement_Configuration
- GASMETERING_Status_Flags_isADCCaptureComplete : GASMETERING_Status_Flags
- GASMETERING_Status_Flags_isADCIntrlvComplete : GASMETERING_Status_Flags
- GASMETERING_Status_Flags_isLPMTimerExpired : GASMETERING_Status_Flags
- GASMETERING_Status_Flags_reserved : GASMETERING_Status_Flags

### - h -

- hFIRCoeffPower2Scale : GASMETERING_handle

### - i -

- isDummyFiringEnabled : GASMETERING_Measurement_Configuration
- isGainControlEnabled : GASMETERING_Measurement_Configuration
- isLEAusedFTC : GASMETERING_handle
- isLEAusedHE : GASMETERING_handle
- isRunAbsToFDownEnabled : GASMETERING_Algorithms_Configuration
- isRunAbsToFUpEnabled : GASMETERING_Algorithms_Configuration
- isRunDeltaToFUpEnabled : GASMETERING_Algorithms_Configuration
- isRunFlowEnabled : GASMETERING_Algorithms_Configuration

### - m -

- meterConstant : GASMETERING_Meter_Configuration
- minGapAMPandSampFirstCapture_usec : GASMETERING_Measurement_Configuration

### - n -

- negRngAbsTOF : GASMETERING_handle
- negRngAbsTOF_sec : GASMETERING_Algorithms_Configuration
- negRngDeltaTOF : GASMETERING_handle
- negRngDeltaTOF_sec : GASMETERING_Algorithms_Configuration
- numOfPulses : GASMETERING_Measurement_Configuration

### - p -

- pAlgorithmConfiguration : GASMETERING_configuration
- pBinTxPattern : GASMETERING_Measurement_Configuration
- pDMALEARAMADCArray : GASMETERING_handle
- pGASMETERING_HAL_configGPIOAfterFiring : GASMETERING_HAL_functions
- pGASMETERING_HAL_configIterationSample : GASMETERING_HAL_functions
- pGASMETERING_HAL_configSysClockForCapture : GASMETERING_HAL_functions
- pGASMETERING_HAL_configUPDNSample : GASMETERING_HAL_functions
- pGASMETERING_HAL_finishIterationSample : GASMETERING_HAL_functions
- pGASMETERING_HAL_generateLPMDelay : GASMETERING_HAL_functions
- pGASMETERING_HAL_restoreSysClock : GASMETERING_HAL_functions
- pHalFunctions : GASMETERING_configuration
- pHandle : GASMETERING_configuration
- pMeasurementConfiguration : GASMETERING_configuration
- pMeterConfiguration : GASMETERING_configuration
- posRngAbsTOF : GASMETERING_handle
- posRngAbsTOF_sec : GASMETERING_Algorithms_Configuration
- posRngDeltaTOF : GASMETERING_handle
- posRngDeltaTOF_sec : GASMETERING_Algorithms_Configuration
- pSystemConfig : GASMETERING_configuration
- pTxPattern : GASMETERING_Measurement_Configuration

### - r -

- runDiagnosticFunctions : GASMETERING_System_Configuration

### - s -

- syncThreshold : GASMETERING_Algorithms_Configuration

### - t -

- totalTOF_DNS : GASMETERING_handle
- totalTOF_UPS : GASMETERING_handle
- txLineState : GASMETERING_Measurement_Configuration
- txPatternSize : GASMETERING_Measurement_Configuration

### - u -

- upsampleFactor : GASMETERING_handle

### - v -

- volumeFlowRate : GASMETERING_handle
- volumeScaleFactor : GASMETERING_handle